# $Revision: 1.48 $, $Date: 2011/09/20 14:51:48 $
Summary:	Totem Playlist Parser library
Summary(pl.UTF-8):	Biblioteka analizująca listy odtwarzania Totema
Name:		totem-pl-parser
Version:	2.32.6
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/totem-pl-parser/2.32/%{name}-%{version}.tar.xz
# Source0-md5:	ee1fe94d2cd09c26bf9fef55d858d365
URL:		http://www.gnome.org/projects/totem/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.24.0
BuildRequires:	gmime-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libarchive-devel >= 2.8.4
BuildRequires:	libsoup-gnome-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	quvi-devel >= 0.2.13
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
A library to parse and save playlists, as used in music and movie
players.

%description -l pl.UTF-8
Biblioteka do analizy i zapisu list odtwarzania (playlist) używanych
przez odtwarzacze muzyki i filmów.

%package devel
Summary:	Header files for totem-pl-parser library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki totem-pl-parser
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.24.0
Requires:	gmime-devel
Requires:	libarchive-devel >= 2.8.4
Requires:	libxml2-devel >= 1:2.6.31
Requires:	quvi-devel >= 0.2.13

%description devel
Header files for totem-pl-parser library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki totem-pl-parser.

%package static
Summary:	Static totem-pl-parser library
Summary(pl.UTF-8):	Statyczna biblioteka totem-pl-parser
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static totem-pl-parser library.

%description static -l pl.UTF-8
Statyczna biblioteka totem-pl-parser.

%package apidocs
Summary:	totem-pl-parser library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki totem-pl-parser
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
totem-pl-parser library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki totem-pl-parser.

%prep
%setup -q

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libtotem-plparser-mini.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtotem-plparser-mini.so.17
%attr(755,root,root) %{_libdir}/libtotem-plparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtotem-plparser.so.17
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtotem-plparser-mini.so
%attr(755,root,root) %{_libdir}/libtotem-plparser.so
%{_includedir}/totem-pl-parser
%{_pkgconfigdir}/totem-plparser-mini.pc
%{_pkgconfigdir}/totem-plparser.pc
%{_datadir}/gir-1.0/TotemPlParser-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libtotem-plparser-mini.a
%{_libdir}/libtotem-plparser.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/totem-pl-parser

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: totem-pl-parser.spec,v $
Revision 1.48  2011/09/20 14:51:48  wiget
- up to 2.32.6

Revision 1.47  2011/06/23 16:41:05  kiesiu
- changed libarchive to libarchive-devel

Revision 1.46  2011/06/10 16:08:27  kiesiu
- BR: libarchive
- rel 2

Revision 1.45  2011/05/20 23:04:58  megabajt
- updated to 2.32.5

Revision 1.44  2011/03/21 16:48:58  megabajt
- updated to 2.32.4

Revision 1.43  2011/03/07 21:23:48  wiget
- drop P/O: totem-libs, totem-devel, totem-static
- rel. 3

Revision 1.42  2011/03/07 15:03:58  wiget
- -devel R: quvi-devel
 libquvi is in Requires.private but pkg-config --cflags complains about missing dependency
- rel. 2

Revision 1.41  2011/02/21 23:08:32  megabajt
- md5

Revision 1.40  2011/02/21 23:07:44  megabajt
- updated to 2.32.3
- removed obsolete miniparser.patch

Revision 1.39  2011/02/13 14:34:53  wiget
- updated to 2.32.2
- use %{__rm} macro
- fix unresolved symbols in miniparser lib

Revision 1.38  2011/01/28 22:14:20  sparky
- BR: libsoup-gnome-devel

Revision 1.37  2010/10/20 19:15:07  megabajt
- updated to 2.32.1

Revision 1.36  2010/09/28 21:04:46  megabajt
- updated to 2.32.0

Revision 1.35  2010/08/08 19:00:20  megabajt
- updated to 2.30.2

Revision 1.34  2010/06/02 23:35:39  patrys
- why not kill some libtool archives?
- rel 2

Revision 1.33  2010/05/12 16:54:06  megabajt
- updated to 2.30.1

Revision 1.32  2010/03/29 17:01:54  megabajt
- updated to 2.30.0 (new soname); merged changes from DEVEL

Revision 1.31.2.2  2010/03/15 21:57:47  megabajt
- updated to 2.29.92

Revision 1.31.2.1  2010/02/26 17:30:28  megabajt
- updated to 2.29.1

Revision 1.31  2010/02/14 00:28:53  megabajt
- release 2

Revision 1.30  2009/12/11 17:32:22  megabajt
- updated to 2.28.2

Revision 1.29  2009/11/12 11:55:54  patrys
- rebuild
- rel 2

Revision 1.28  2009/09/29 20:35:15  megabajt
- updated to 2.28.1

Revision 1.27  2009/09/25 09:12:20  patrys
- merged from DEVEL

Revision 1.25.2.3  2009/09/25 09:10:32  patrys
- 2.28.0

Revision 1.25.2.2  2009/08/12 12:38:54  patrys
- 2.27.2

Revision 1.26  2009/06/17 20:00:38  hawk
- release 2

Revision 1.25.2.1  2009/05/28 11:09:24  patrys
- 2.27.1

Revision 1.25  2009/05/07 13:23:42  megabajt
- updated to 2.26.2

Revision 1.24  2009/04/03 21:42:15  megabajt
- updated to 2.26.1

Revision 1.23  2009/03/16 18:30:51  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.22.2.2  2009/03/07 18:30:25  megabajt
- updated to 2.25.92

Revision 1.22.2.1  2009/02/21 16:00:28  megabajt
- updated to 2.25.90

Revision 1.22  2009/02/19 22:49:06  megabajt
- updated to 2.24.4

Revision 1.21  2008/12/21 20:08:17  megabajt
- updated to 2.24.3

Revision 1.20  2008/11/07 17:06:35  megabajt
- release 2

Revision 1.19  2008/10/30 20:28:05  megabajt
- updated to 2.24.2

Revision 1.18  2008/10/22 20:35:54  megabajt
- release 2

Revision 1.17  2008/10/07 18:13:31  megabajt
- updated to 2.24.1

Revision 1.16  2008/09/30 18:26:45  megabajt
- release 2

Revision 1.15  2008/09/27 10:34:13  megabajt
- updated Source-md5

Revision 1.14  2008/09/27 10:17:15  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.11.2.4  2008/08/31 13:03:12  patrys
- 2.23.91

Revision 1.11.2.3  2008/07/15 17:42:55  megabajt
- updated to 2.23.3

Revision 1.13  2008/07/09 23:10:35  qboosh
- pl for base

Revision 1.11.2.2  2008/06/15 13:15:06  megabajt
- updated to 2.23.2

Revision 1.12  2008/06/11 09:26:23  patrys
- rebuild without db4.6
- rel 2

Revision 1.11.2.1  2008/05/13 08:33:44  patrys
- 2.23.1

Revision 1.11  2008-05-12 17:58:27  megabajt
- updated to 2.22.3

Revision 1.10  2008-04-08 18:28:26  patrys
- 2.22.2

Revision 1.9  2008-03-25 14:47:56  sls
- BR: evolution-data-server-devel (required camel-1.2.pc)

Revision 1.8  2008-03-12 19:14:44  hawk
- release 2

Revision 1.7  2008-03-11 20:44:40  megabajt
- updated to 2.22.1

Revision 1.6  2008-03-03 17:28:29  megabajt
- added P/O: totem-libs, totem-devel and totem-static

Revision 1.5  2008-02-27 20:33:46  megabajt
- updated to 2.21.92
- added X11 to Groups

Revision 1.4  2008-01-23 16:34:33  megabajt
- updated to 2.21.91
- added apidocs subpackage

Revision 1.3  2008-01-07 20:47:56  megabajt
- updated to 2.21.90

Revision 1.2  2007-12-24 15:47:38  aredridel
- O: totem-devel

Revision 1.1  2007-12-24 14:57:26  megabajt
- new
